<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryBaseLight.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryBaseLight_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryBaseLight.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryBaseLight2_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryBaseLight2_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Accessory.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifndef NO_LIGHT</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define LIGHTON     STATE_FIRST</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define LIGHTBLINK  STATE_SECOND</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define LIGHTOFF    STATE_NONE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define FADING_FULL_DELAY   (this-&gt;fadingStep == 0 ? 0 : ((255UL / this-&gt;fadingStep)+1) * this-&gt;fadingDelay)</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classAccessoryBaseLight.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;{</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="comment">// Fix data from creator</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <a class="code" href="classPort.html">Port</a> *pPort;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        uint8_t fadingStep;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        uint8_t fadingDelay;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> blinkingDelay;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="comment">// State of the light</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        ACC_STATE state;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="keyword">enum</span> LightState { LIGHT_ON, LIGHT_OFF, LIGHT_ASCENDING, LIGHT_DESCENDING };</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        LightState currentState;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        uint8_t fadingCurrentValue;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> startingMillis;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classAccessoryLight.html">AccessoryLight</a>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classAccessoryLightMulti.html">AccessoryLightMulti</a>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="classAccessory.html">Accessory</a> *pOwner;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classAccessoryBaseLight.html#a88e2be8a90a47be58d0283ed8c6c973d">AccessoryBaseLight</a>(<a class="code" href="classAccessory.html">Accessory</a> *inpOwner = 0);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        </div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryBaseLight.html#a26c343fd849b47aea637ef7f34c3270a">begin</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">int</span> inIntensity = 255, <a class="code" href="classAccessory.html">Accessory</a> *inpOwner = 0);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classAccessoryBaseLight.html#a1f57b9cf4b45b9bdc91fef927199b79c">   61</a></span>&#160;        <span class="keyword">inline</span> <a class="code" href="classPort.html">Port</a> *<a class="code" href="classAccessoryBaseLight.html#a1f57b9cf4b45b9bdc91fef927199b79c">GetPort</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a>; }</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">   65</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">IsOn</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;state == LIGHTON; }</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">   69</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">IsBlinking</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;state == LIGHTBLINK; }</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">   74</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">IsFading</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;fadingStep &gt; 0; }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryBaseLight.html#accc565a1d92ad5f4fb05850f1390791b">Event</a>(ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, <span class="keywordtype">int</span> inData = 0);</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">   84</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">SetBlinking</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inBlinkingDelay) { this-&gt;blinkingDelay = inBlinkingDelay; }</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">SetFading</a>(uint8_t inStep, uint8_t inDelay);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keywordtype">void</span> SetState(ACC_STATE instate);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(ACC_STATE instate);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        ACC_STATE Toggle();</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">LightOn</a>();</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">LightOff</a>();</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">Blink</a>() { this-&gt;SetState(LIGHTBLINK); this-&gt;<a class="code" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>(); }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a>()<span class="keyword"> const    </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">GetActionStartingMillis</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;startingMillis; }</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a>() { this-&gt;startingMillis = 0; }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordtype">bool</span> ActionEnded();</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keywordtype">void</span> LightOnRaw();</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordtype">void</span> LightOffRaw();</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordtype">void</span> LightFadingRaw(uint8_t inValue);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keywordtype">int</span> EEPROMSave(<span class="keywordtype">int</span> inPos, <span class="keywordtype">bool</span> inSimulate = <span class="keyword">false</span>);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <span class="keywordtype">int</span> EEPROMLoad(<span class="keywordtype">int</span> inPos);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        <span class="keywordtype">void</span> printAccessory();</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;};</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classAccessory_html_a3de65543a892b3418df72f54439605cb"><div class="ttname"><a href="classAccessory.html#a3de65543a892b3418df72f54439605cb">Accessory::ResetAction</a></div><div class="ttdeci">virtual void ResetAction()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00385">Accessory.hpp:385</a></div></div>
<div class="ttc" id="classAccessory_html_a8a9a9e26544b859289f125dd075cf52e"><div class="ttname"><a href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">Accessory::GetActionStartingMillis</a></div><div class="ttdeci">unsigned long GetActionStartingMillis() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00366">Accessory.hpp:366</a></div></div>
<div class="ttc" id="classAccessory_html_aef81e617d15f62090ccce7eee4f0d3c3"><div class="ttname"><a href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">Accessory::IsGroupActionPending</a></div><div class="ttdeci">virtual bool IsGroupActionPending() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00404">Accessory.hpp:404</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a8eca70cd9de57a113e4f05e19ff6f135"><div class="ttname"><a href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">AccessoryLightMulti::Blink</a></div><div class="ttdeci">void Blink()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00093">AccessoryLightMulti.cpp:93</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a625c85995aed27f770ebeaf470e4f3d5"><div class="ttname"><a href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">AccessoryLightMulti::LightOn</a></div><div class="ttdeci">void LightOn()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00081">AccessoryLightMulti.cpp:81</a></div></div>
<div class="ttc" id="classAccessory_html_a60e5e9122c96773c975fe9d2c2db6520"><div class="ttname"><a href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">Accessory::SetStateRaw</a></div><div class="ttdeci">void SetStateRaw(ACC_STATE inNewState)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00165">Accessory.cpp:165</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_abc2f4f0a58167b6c58528e1a28ac3fff"><div class="ttname"><a href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">AccessoryLightMulti::LightOff</a></div><div class="ttdeci">void LightOff()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00087">AccessoryLightMulti.cpp:87</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a1e1a200e6f6e47e63d07059c91265a91"><div class="ttname"><a href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">AccessoryBaseLight::SetFading</a></div><div class="ttdeci">void SetFading(uint8_t inStep, uint8_t inDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00048">AccessoryBaseLight.cpp:48</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_acce625a2eff7f353f1eec68a05177ac0"><div class="ttname"><a href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">AccessoryBaseLight::SetBlinking</a></div><div class="ttdeci">void SetBlinking(unsigned long inBlinkingDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00084">AccessoryBaseLight.hpp:84</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_accc565a1d92ad5f4fb05850f1390791b"><div class="ttname"><a href="classAccessoryBaseLight.html#accc565a1d92ad5f4fb05850f1390791b">AccessoryBaseLight::Event</a></div><div class="ttdeci">void Event(ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00120">AccessoryBaseLight.cpp:120</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_aa3b580656c99a87a7e88946f407e712d"><div class="ttname"><a href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">AccessoryBaseLight::IsFading</a></div><div class="ttdeci">bool IsFading() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00074">AccessoryBaseLight.hpp:74</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_ac82a7a3b7ab0da4aefd959d03ba0ed4a"><div class="ttname"><a href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">AccessoryBaseLight::IsBlinking</a></div><div class="ttdeci">bool IsBlinking() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00069">AccessoryBaseLight.hpp:69</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_afdc391fd30e2632e64cd48cc64504f28"><div class="ttname"><a href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">AccessoryBaseLight::IsOn</a></div><div class="ttdeci">bool IsOn() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00065">AccessoryBaseLight.hpp:65</a></div></div>
<div class="ttc" id="classAccessory_html_ae1ebffdf3fe753e3c5e7d05c2a61fd18"><div class="ttname"><a href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">Accessory::pPort</a></div><div class="ttdeci">Port * pPort</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00167">Accessory.hpp:167</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a1f57b9cf4b45b9bdc91fef927199b79c"><div class="ttname"><a href="classAccessoryBaseLight.html#a1f57b9cf4b45b9bdc91fef927199b79c">AccessoryBaseLight::GetPort</a></div><div class="ttdeci">Port * GetPort() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00061">AccessoryBaseLight.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a26c343fd849b47aea637ef7f34c3270a"><div class="ttname"><a href="classAccessoryBaseLight.html#a26c343fd849b47aea637ef7f34c3270a">AccessoryBaseLight::begin</a></div><div class="ttdeci">void begin(Port *inpPort, int inIntensity = 255, Accessory *inpOwner = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00062">AccessoryBaseLight.cpp:62</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a88e2be8a90a47be58d0283ed8c6c973d"><div class="ttname"><a href="classAccessoryBaseLight.html#a88e2be8a90a47be58d0283ed8c6c973d">AccessoryBaseLight::AccessoryBaseLight</a></div><div class="ttdeci">AccessoryBaseLight(Accessory *inpOwner = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00015">AccessoryBaseLight.cpp:15</a></div></div>
<div class="ttc" id="classAccessory_html"><div class="ttname"><a href="classAccessory.html">Accessory</a></div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00140">Accessory.hpp:140</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html"><div class="ttname"><a href="classAccessoryLightMulti.html">AccessoryLightMulti</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00035">AccessoryLightMulti.hpp:35</a></div></div>
<div class="ttc" id="classAccessoryLight_html"><div class="ttname"><a href="classAccessoryLight.html">AccessoryLight</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLight_8hpp_source.html#l00015">AccessoryLight.hpp:15</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessory_html_ab1dad31ee3bcac4b1baf9a140c7fa57d"><div class="ttname"><a href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">Accessory::StartAction</a></div><div class="ttdeci">virtual void StartAction()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00077">Accessory.cpp:77</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html"><div class="ttname"><a href="classAccessoryBaseLight.html">AccessoryBaseLight</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00026">AccessoryBaseLight.hpp:26</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryBaseLight.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
